<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:c="http://java.sun.com/jsf/core"
	template="/template/principalindex.xhtml"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core">

	<ui:define name="registro">
		<div class="row">
			<div class="col">
				<h3 style="text-align: center;">Registro de Usuario</h3>
			</div>
			<div class="col">
				<button type="button" class="close" aria-label="Close">
					<span aria-hidden="true">&times;</span>
				</button>
			</div>

		</div>
		<div class="row" style="width: 100%; margin: 20px; padding: 10px;">

			<h6 style="text-align: center; color: grey">Podras ver contenidos, registrarte en tus sitios preferidos, compartir y mas..</h6>

		</div>
		<h:form>
			<div class="form-group">
				<label for="exampleInputEmail1">Nickname</label>
				<h:inputText value="#{RegistroFanBean.nick}"
					class="form-control" placeholder="Nickname" />
			</div>
			<div class="form-group">
				<label for="exampleFormControlInput1">Correo</label>
				<h:inputText type="email" class="form-control"
					value="#{RegistroFanBean.correo}"
					placeholder="name@example.com" />
			</div>
			<div class="form-group">
				<label for="exampleInputPassword1">Password</label>
				<h:inputSecret value="#{RegistroFanBean.pass}"
					class="form-control" placeholder="Password" />
			</div>
			<div class="form-group">
				<label for="exampleFormControlInput1">Sexo</label>
				<h:selectOneMenu class="browser-default custom-select"
					value="#{RegistroFanBean.sexoEleg}">
					<f:selectItems value="#{RegistroFanBean.listaS}" />
				</h:selectOneMenu>

			</div>

			<h:commandButton class="btn btn-primary" action="#{RegistroFanBean.registroFan()}"
				value="Registrar" />
		</h:form>

	</ui:define>
</ui:composition>
